首页 新闻 搜索 专区 学院

remoting 需要Oracle 客户端软件8.1.7

0
悬赏园豆:100 [已关闭问题]
<P>为什么remoting 上连接oracle9 时老是出现System.Data.OracleClient 需要Oracle 客户端软件8.1.7 或更高版本"。但是通过程序直接连接又不会出现这个问题,(remoting 客户端连接remoting服务端时服务端就会出现这个错误.)查了好多资料没有解决<BR></P>
[大师兄]的主页 [大师兄] | 初学一级 | 园豆:64
提问于:2008-06-05 20:38
< >
分享
其他回答(3)
0
装一下Oracle就好了。
致博腾远 | 园豆:1389 (小虾三级) | 2008-06-06 08:37
0
可能是权限问题 请看下面的博客: http://blog.csdn.net/Teng_s2000/archive/2006/11/10/1376966.aspx
玉开 | 园豆:8822 (大侠五级) | 2008-06-06 08:53
0
用户权限问题,不关remoting的事情的 在你的Oracle Home上面设置相应用户的权限即可,先试试仅读取,不行就改成读取和运行。“完全控制”不要乱加,否则问题是解决了,但是安全就没有了。 这个“相应用户”指的是你用什么系统用户去连接Oracle的,比如ASPNET。
电机拖动 | 园豆:1295 (小虾三级) | 2008-06-14 01:48
0
开放tcp/ip的支持远程连接....
Jared.Nie | 园豆:1940 (小虾三级) | 2008-06-14 16:38
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册